package system;
###############################################################################
#    Wiki XML-RPC API for FreeStyle Wiki
# Introspection for version 1
#
###############################################################################

use vars qw(%MethodHelp);

###############################################################################
sub listMethods{ shift if UNIVERSAL::isa($_[0] => __PACKAGE__);
	return [qw(
	    getRecentChanges
	    getRPCVersionSupported
	    getPage
	    getPageHTML
	    getAllPages
	    getPageInfo
	    listLinks
	    putPage
	)];
}

sub methodHelp{ shift if UNIVERSAL::isa($_[0] => __PACKAGE__);
	my $name = shift;
	return (defined $name) ? $MethodHelp{$name} : undef;
}
###############################################################################

$MethodHelp{getRecentChanges} = <<HELP;

 * array wiki.getRecentChanges( Date timestamp [,String farmname] )

 timestamp(UTC)ʹѹ줿ڡΥꥹȤ֤ޤ
 WikiFarmб뤿ᡢwikifarm̾ˤȤޤ

 ͡¤ { name, lastModified, author, version } ե
             nameutf8URL󥳡ɤƤޤ
             authorϾ˶ʸversionϾ1
HELP

#----

$MethodHelp{getRPCVersionSupported} = <<HELP;

 * int wiki.getRPCVersionSupported()

 ͡APIΥС֤ޤ
HELP

#----

$MethodHelp{getPage} = <<HELP;

 * base64 wiki.getPage( String pagename )

 ڡΥ֤ޤڡ˥':'äƤ
 ʬWikiFarmΥѥˤʤޤ'farmname:pagename'
 
 ͡ƥ
HELP

#----

$MethodHelp{getPageHTML} = <<HELP;

 * base64 wiki.getPageHTML( String pagename )

 HTML󥰤줿ڡ֤ޤڡ˥':'äƤ
 ʬWikiFarmΥѥˤʤޤ'farmname:pagename'

 ͡󥰺Ѥߥƥ
HELP

#----

$MethodHelp{getAllPages} = <<HELP;

 * array wiki.getAllPages( [String farmname] )

 ڡΥꥹȤ֤ޤ
 WikiFarmб뤿Farm̾Ȥޤ

 ͡ե
      ڡ̾utf8URL󥳡ɤƤޤ
HELP

#----

$MethodHelp{getPageInfo} = <<HELP;

 * struct wiki.getPageInfo( string pagename )

 ڡ֤ޤ

 ͡¤ { name, lastModified, author, version }
             nameutf8URL󥳡ɤƤޤ
             authorϾ˶ʸversionϾ1
HELP

#----

$MethodHelp{listLinks} = <<HELP;

 * array wiki.listLinks( string pagename )

 Ϳ줿ڡ󥯤֤ޤ

 ͡¤ { page, type, href } ե
             pageϥ̾utf8URL󥳡ɡˤURLǤ
             typeexternalʳˤlocal
             hrefϥHREF
HELP

#----

$MethodHelp{putPage} = <<HELP;

 * boolean wiki.putPage( String pagename, base64 content, struct attributes )

 ڡƤ񤭹ߤޤ
 pagename˥:ˤޤʬWikiFarm̾ˤʤޤ
 pagenameutf8URL󥳡ɤƤɬפޤ
 ߤνꡢattributesǡֲ׻꤬Ǥޤ
 { minoredit => 0|1 }

 ޤattributesid,passꤹ뤳Ȥǡ桼Ȥ
 񤭹ळȤǤޤ

 ͡1ʳ0
HELP



###############################################################################
1;
