package wiki;
###############################################################################
#    Wiki XML-RPC API for FreeStyle Wiki
#
# 2004 by makamaka [at] donzoko.net
#
###############################################################################
use strict;
use WikiAPI::WikiMod; # Wrapper for FSWiki

###############################################################################
# * array getRecentChanges( Date timestamp [,String farmname] )
#
# timestamp(UTC)ʹѹ줿ڡΥꥹȤ֤ޤ
# WikiFarmб뤿ᡢwikifarm̾ˤȤޤ
#
# OUT: hashref { name, lastModified, author, version } arrayref
#             nameutf8URL󥳡ɤƤޤ
#             authorϾ˶ʸversionϾ1
###############################################################################

sub getRecentChanges{ shift if UNIVERSAL::isa($_[0] => __PACKAGE__);
	my ($date,$path) = @_;
	my $wiki   = new WikiAPI::WikiMod;
	my $time   = HTTP::Date::str2time($date);
	my $result = $wiki->recent_changes($time,$path);
	return $result;
}

###############################################################################
# * int getRPCVersionSupported()
#
# OUT: APIΥС֤ޤ
#
###############################################################################

sub getRPCVersionSupported{ shift if UNIVERSAL::isa($_[0] => __PACKAGE__);
	return 1;
}

################################################################################
# * base64 getPage( String pagename )
#
# ڡΥ֤ޤڡ˥':'äƤ
# ʬWikiFarmΥѥˤʤޤ'farmname:pagename'
#
# OUT: ƥ
#
###############################################################################

sub getPage{ shift if UNIVERSAL::isa($_[0] => __PACKAGE__);
	my ($page)  = @_;
	my $wiki    = new WikiAPI::WikiMod;
	return $wiki->get_page($page);
}

################################################################################
# getPageƱǤڡСǤޤ
# FSWikiˤϥڡΥСȤǰʤΤǼºݤˤ
# getPage()ƤӽФǤ
#
###############################################################################

sub getPageVersion{
	return wiki::getPage(@_);
}

################################################################################
# * base64 getPageHTML( String pagename )
#
# HTML󥰤줿ڡ֤ޤڡ˥':'äƤ
# ʬWikiFarmΥѥˤʤޤ'farmname:pagename'
#
# OUT: 󥰺Ѥߥƥ
#
###############################################################################

sub getPageHTML{ shift if UNIVERSAL::isa($_[0] => __PACKAGE__);
	my ($page)  = @_;
	my $wiki    = new WikiAPI::WikiMod;
	return $wiki->get_page_html($page);
}

################################################################################
# * base64 getPageHTMLVersion( String pagename, int version )
#
# getPageHTMLƱǤڡСǤޤ
# FSWikiˤϥڡΥСȤǰʤΤǼºݤˤ
# getPageHTML()ƤӽФǤ
#
###############################################################################

sub getPageHTMLVersion{
	return wiki::getPageHTML(@_);
}

################################################################################
# * array getAllPages( [String farmname] )
#
# ڡΥꥹȤ֤ޤ
# WikiFarmб뤿Farm̾Ȥޤ
#
# OUT: ե
#      ڡ̾utf8URL󥳡ɤƤޤ
#
###############################################################################

sub getAllPages{ shift if UNIVERSAL::isa($_[0] => __PACKAGE__);
	my $wiki = new WikiAPI::WikiMod;
	my $path = shift;
	return $wiki->get_all_pages($path);
}

################################################################################
# * struct getPageInfo( string pagename )
#
# ڡ֤ޤ
#
# OUT: hashref { name, lastModified, author, version }
#             nameutf8URL󥳡ɤƤޤ
#             authorϾ˶ʸversionϾ1
#
###############################################################################

sub getPageInfo{ shift if UNIVERSAL::isa($_[0] => __PACKAGE__);
	my ($page) = @_;
	my $wiki   = new WikiAPI::WikiMod;
	return $wiki->get_page_info($page);
}

################################################################################
# * struct getPageInfoVersion( string pagename )
#
# getPageInfoƱǤڡСǤޤ
# FSWikiˤϥڡΥСȤǰʤΤǼºݤˤ
# getPageInfo()ƤӽФǤ
#
###############################################################################

sub getPageInfoVersion{
	return wiki::getPageInfo(@_);
}

################################################################################
# * array listLinks( string pagename )
#
# Ϳ줿ڡ󥯤֤ޤ
#
# OUT: hashref { page, type, href } arrayref
#             pageϥ̾utf8URL󥳡ɡˤURLǤ
#             typeexternalʳˤlocal
#             hrefϥHREF
#
###############################################################################

sub listLinks{ shift if UNIVERSAL::isa($_[0] => __PACKAGE__);
	my ($page) = @_;
	my $wiki   = new WikiAPI::WikiMod;
	return $wiki->list_links($page);
}

################################################################################
# * boolean putPage( String pagename, base64 content, struct attributes )
#
# ڡƤ񤭹ߤޤ
# pagename˥:ˤޤʬWikiFarm̾ˤʤޤ
# pagenameutf8URL󥳡ɤƤɬפޤ
# ߤνꡢattributesǡֲ׻꤬Ǥޤ
# { minoredit => 0|1 }
# ޤattributesid,passꤹ뤳Ȥǡ桼Ȥ
# 񤭹ळȤǤޤ
#
# OUT: 1ʳ0
#
###############################################################################

sub putPage{ shift if UNIVERSAL::isa($_[0] => __PACKAGE__);
	my ($page,$content,$attr) = @_;
	my $wiki = new WikiAPI::WikiMod;
	return $wiki->put_page($page,$content,$attr);
}

###############################################################################
1;
